<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     * Menambahkan kolom nomor_tiket ke tabel persetujuan_penawaran
     */
    public function up(): void
    {
        Schema::table('persetujuan_penawaran', function (Blueprint $table) {
            // Menambahkan kolom nomor_tiket setelah nomor_proposal_penawaran
            $table->string('nomor_tiket', 100)->nullable()->after('nomor_proposal_penawaran')
                  ->comment('Nomor tiket untuk tracking persetujuan penawaran');
            $table->string('nominal_kurang_bayar')->nullable()->after('nomor_proposal_penawaran');
            $table->string('bukti_ksl_kurang_bayar')->nullable()->after('nominal_kurang_bayar');

        });

        Schema::table('noc', function (Blueprint $table) {
            // Menambahkan kolom nomor_tiket setelah nomor_proposal_penawaran
            $table->string('nomor_tiket', 100)->nullable()->after('persetujuan_penawaran_id')
                  ->comment('Nomor tiket untuk tracking persetujuan penawaran');
            $table->string('nomor_rekening_lebih_bayar',20)->nullable()->after('nominal_lebih_bayar');
            $table->string('bukti_ksl_lebih_bayar')->nullable()->after('nomor_rekening_lebih_bayar');
            $table->string('bukti_ksl_kurang_bayar')->nullable()->after('bukti_ksl_lebih_bayar');
            $table->string('nominal_pelunasan')->nullable()->after('bukti_ksl_kurang_bayar');
            $table->string('debiture_id')->nullable()->after('persetujuan_penawaran_id');
        });
    }

    /**
     * Reverse the migrations.
     * Menghapus kolom nomor_tiket dari tabel persetujuan_penawaran
     */
    public function down(): void
    {
        Schema::table('persetujuan_penawaran', function (Blueprint $table) {
            // Menghapus kolom nomor_tiket
            $table->dropColumn('nomor_tiket');
            $table->dropColumn('nominal_kurang_bayar');
            $table->dropColumn('bukti_ksl_kurang_bayar');
        });

        Schema::table('noc', function (Blueprint $table) {
            // Menghapus kolom nomor_tiket
            $table->dropColumn('nomor_tiket');
            $table->dropColumn('nomor_rekening_lebih_bayar');
            $table->dropColumn('bukti_ksl_lebih_bayar');
            $table->dropColumn('bukti_ksl_kurang_bayar');
            $table->dropColumn('nominal_pelunasan');
            $table->dropColumn('debiture_id');
        });
    }
};
